Bug 630179 - Review Request: cloud - Cloud.com CloudStack
Summary: Review Request: cloud - Cloud.com CloudStack
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 638418 638419 638420 638421 638422 638439
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-09-03 22:14 UTC by Rudd-O DragonFear
Modified: 2010-11-24 15:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 15:42:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rudd-O DragonFear 2010-09-03 22:14:17 UTC
Spec URL: http://download.cloud.com/foss/fedora/proposed/cloud.spec
SRPM URL: http://download.cloud.com/foss/fedora/proposed/cloud-2.1.3-1.src.rpm
Description: Cloud.com CloudStack -- FIRST PACKAGE, SEEKING SPONSOR

I work at Cloud.com and I'm in charge of packaging.  Everyone here at Cloud.com is fully prepared to do the package modifications that your reviewers request from us.  This is priority zero for us right now, so we'll try and speed up the process as much as possible / give your reviewers' observations the fullest of our attention.

Comment 1 Chen Lei 2010-09-05 08:51:41 UTC
Several issues:

1. cloud should not ship  Pre-built JAR files or Other bundled software 

http://fedoraproject.org/wiki/Packaging/Java#Pre-built_JAR_files_.2F_Other_bundled_software


2.
The source0 should be a URL instead of a simply file name.

http://fedoraproject.org/wiki/Packaging:SourceURL

Comment 2 Rudd-O DragonFear 2010-09-07 19:13:06 UTC
Thank you VERY MUCH for your review of our package.  I will work on these issues now and I'll get back to you with updated packages that have no issues.

Comment 4 Rudd-O DragonFear 2010-09-28 20:51:42 UTC
Our package also requires XMLRPC3-3.1 to work.  I am updating the XMLRPC3 RPM in Fedora with the 3.1.3 sources and will post it here shortly.

Comment 6 Rudd-O DragonFear 2010-09-28 21:23:17 UTC
Updated cloud.spec (same URI as posted in first comment) and cloud SRPM (new URI:)

http://download.cloud.com.s3.amazonaws.com/foss/fedora/proposed/cloud-2.1.3-3.src.rpm

http://download.cloud.com.s3.amazonaws.com/foss/fedora/proposed/cloud-2.1.3.tar.bz2

Comment 7 Rudd-O DragonFear 2010-09-28 23:43:28 UTC
I've split the newly-packaged dependencies into five dependent bugs as requested by hicham in freenode/#fedora-devel.

Comment 8 Rudd-O DragonFear 2010-09-29 01:30:52 UTC
Please take a look at this package.  There are three known issues that I am working on:

1. split up httpcomponents
2. do not rely on the bundled ant
3. split up gcc.jar

Comment 10 Chen Lei 2010-10-14 06:29:19 UTC
Hi Rudd-O,
You should submit one package per Review Request.
I also suggest you to join Java SIG[1] and introduce cloud there in java-sig maillist to accelerate the review of the whole cloud stack.

[1]
https://fedoraproject.org/wiki/SIGs/Java

Comment 11 Jason Tibbitts 2010-11-24 15:42:39 UTC
The submitter has failed to respond to review commentary on other tickets submitted at the same time as this one and which this ticket depends on.  Closing them all out.


Note You need to log in before you can comment on or make changes to this bug.